Subject: bug#24729: 24.5; unable to get the "~" character on a Swiss-French keyboard under OSX

From: Alan Third <[email-masked]>
Date: Wed, 19 Oct 2016 12:01:17 +0100

On Tue, Oct 18, 2016 at 06:21:40PM +0200, Thierry Jeanneret wrote:
> Hi There,
> 
> I am using the sml-mode/REPL from inside Emacs. When I try to get
> the "~" character (normally Right Alt-n on my Swiss-French keyboard)
> I get what looks to be the first command of the history buffer
> instead.
> 
> When I use the REPL from inside a terminal I don't have this
> problem, the "~" is available as usual, as here.

Hi,

This is a long‐standing problem with the defaults on non‐US English
keyboards. There are a number of work‐arounds available.

See previous (non‐)discussion at:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=5011
-- 
Alan Third